com.fasterxml.jackson.databind.deser.impl

## Class NullsConstantProvider

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.NullsConstantProvider

All Implemented Interfaces:
  NullValueProvider, Serializable

    public class NullsConstantProvider
    extends Object
    implements NullValueProvider, Serializable

Simple `NullValueProvider` that will always throw a `InvalidNullException` when a null is encountered.

See Also:
  Serialized Form

### Field Summary

Fields
`protected AccessPattern` `_access`
`protected Object` `_nullValue`

### Constructor Summary

Constructors
`protected` `NullsConstantProvider(Object nvl)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static NullsConstantProvider` `forValue(Object nvl)`
`AccessPattern` `getNullAccessPattern()` Accessor that may be used to determine if and when provider must be called to access null replacement value.
`Object` `getNullValue(DeserializationContext ctxt)` Method called to possibly convert incoming `null` token (read via underlying streaming input source) into other value of type accessor supports.
`static boolean` `isNuller(NullValueProvider p)` Utility method that can be used to check if given null value provider is "nuller", no-operation provider that will always simply return Java `null` for any and all input `null`s.
`static boolean` `isSkipper(NullValueProvider p)` Utility method that can be used to check if given null value provider is "skipper", marker provider that means that all input `null`s should be skipped (ignored), instead of converted
`static NullsConstantProvider` `nuller()`
`static NullsConstantProvider` `skipper()` Static accessor for a stateless instance used as marker, to indicate that all input `null` values should be skipped (ignored), so that no corresponding property value is set (with POJOs), and no content values (array/Collection elements, Map entries) are added.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _nullValue

    protected final Object _nullValue

#### _access

    protected final AccessPattern _access

### Constructor Detail

#### NullsConstantProvider

    protected NullsConstantProvider(Object nvl)

### Method Detail

#### skipper

    public static NullsConstantProvider skipper()

Static accessor for a stateless instance used as marker, to indicate that all input `null` values should be skipped (ignored), so that no corresponding property value is set (with POJOs), and no content values (array/Collection elements, Map entries) are added.

#### nuller

    public static NullsConstantProvider nuller()

#### forValue

    public static NullsConstantProvider forValue(Object nvl)

#### isSkipper

    public static boolean isSkipper(NullValueProvider p)

Utility method that can be used to check if given null value provider is "skipper", marker provider that means that all input `null`s should be skipped (ignored), instead of converted

#### isNuller

    public static boolean isNuller(NullValueProvider p)

Utility method that can be used to check if given null value provider is "nuller", no-operation provider that will always simply return Java `null` for any and all input `null`s.

#### getNullAccessPattern

    public AccessPattern getNullAccessPattern()

Description copied from interface: `NullValueProvider`
Accessor that may be used to determine if and when provider must be called to access null replacement value.

Specified by:
  `getNullAccessPattern` in interface `NullValueProvider`

#### getNullValue

    public Object getNullValue(DeserializationContext ctxt)

Description copied from interface: `NullValueProvider`
Method called to possibly convert incoming `null` token (read via underlying streaming input source) into other value of type accessor supports. May return `null`, or value compatible with type binding.

NOTE: if `NullValueProvider.getNullAccessPattern()` returns `ALWAYS_NULL` or `CONSTANT`, this method WILL NOT use provided `ctxt` and it may thus be passed as `null`.

Specified by:
  `getNullValue` in interface `NullValueProvider`